aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/compass_vm.sh
diff options
context:
space:
mode:
authorm00133142 <meimei@huawei.com>2015-10-30 12:53:04 -0700
committermei mei <meimei@huawei.com>2015-11-03 23:47:06 +0000
commit742431051063cc5e83d84e9918cd1a0a1dbcdec3 (patch)
treef1e75c99bf82d2475bbc2f555a30ce8168b83605 /deploy/compass_vm.sh
parent9e28b43af14bdaa4693b3d05a043ff6cdb797fbf (diff)
immediately return false when virsh start compass failed
JIRA: COMPASS-129 Change-Id: Ie7c91314d1fa6b3845255534960849d5d314777b Signed-off-by: m00133142 <meimei@huawei.com>
Diffstat (limited to 'deploy/compass_vm.sh')
-rw-r--r--deploy/compass_vm.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/deploy/compass_vm.sh b/deploy/compass_vm.sh
index 79eb1ecf..3ba20266 100644
--- a/deploy/compass_vm.sh
+++ b/deploy/compass_vm.sh
@@ -109,7 +109,13 @@ function launch_compass() {
sudo virsh define $compass_vm_dir/libvirt.xml
sudo virsh start compass
- if ! wait_ok 360;then
+ exit_status=$?
+ if [ $exit_status != 0 ];then
+ log_error "virsh start compass failed"
+ exit 1
+ fi
+
+ if ! wait_ok 500;then
log_error "install os timeout"
exit 1
fi